Subject: Re: git mergetool, merge.tool, merge.guitool and DISPLAY

From: Junio C Hamano <[email-masked]>
Date: Fri, 09 Sep 2022 11:48:20 -0700

Tao Klerks <[email-masked]> writes:

> Excellent, I agree. My concern then is whether this behavior should be
> placed behind a new config switch, to avoid surprising users who might
> have come to expect the current (in my opinion suboptimal) behavior,
> or whether invoking the merge.guitool instead of the merge.tool, when
> there is a merge.guitool of course and the DISPLAY is set, would be a
> net improvement even for those users and should just be implemented.

I wonder if we can think of a new config knob as giving the default
value for the --gui option that is a tristate <false, auto, true>.
When the knob is not set, it default to 'false', which is the
current behaviour.  The default most likely to be the most sensible
would be 'auto' which is "see the environment to guess if use of GUI
is appropriate".